Fairy Mimyu:
These are the spirits of elves who protected the Mother Tree Glade in ancient times. In death they have lost their former discretion and attack indiscriminately anyone who ventures near. You will find many souls in each tree. Your hatchling is certain to be attacked by these spirits when it is drinking the sap of the trees.
You must use care when defending your hatchling, for if a fairy tree is cut down, the spirits from within that tree will be set loose upon you and your party. This would be disastrous.
Return